Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class PointcutExpression

    java.lang.Object
      org.jboss.aop.pointcut.PointcutExpression

All Implemented Interfaces:
  Pointcut

public class PointcutExpression
extends Object
implements Pointcut

Comment

Version:
  $Revision: 1.16 $
Author:
  Bill Burke

Field Summary
`protected ASTStart` | `ast`
`protected String` | `expr`
`protected String` | `name`
`protected PointcutStats` | `stats`

Constructor Summary
`PointcutExpression(String name, String expr)`

Method Summary
`String` | `getExpr()`
`String` | `getName()`
`PointcutStats` | `getStats()`
`boolean` | `matchesCall(Advisor advisor, AccessibleObject within, Class calledClass, Constructor calledCon)`
`boolean` | `matchesCall(Advisor advisor, AccessibleObject within, Class calledClass, Method calledMethod)`
`boolean` | `matchesCall(Advisor callingAdvisor, javassist.expr.MethodCall methodCall)`
`boolean` | `matchesCall(Advisor callingAdvisor, javassist.expr.NewExpr methodCall)`
`boolean` | `matchesConstruction(Advisor advisor, Constructor c)`
`boolean` | `matchesConstruction(Advisor advisor, javassist.CtConstructor c)`
`boolean` | `matchesExecution(Advisor advisor, Constructor c)`
`boolean` | `matchesExecution(Advisor advisor, javassist.CtConstructor c)`
`boolean` | `matchesExecution(Advisor advisor, javassist.CtMethod m)`
`boolean` | `matchesExecution(Advisor advisor, Method m)`
`boolean` | `matchesExecution(Advisor advisor, Method m, boolean matchOnAdvisor)`
`boolean` | `matchesGet(Advisor advisor, javassist.CtField f)`
`boolean` | `matchesGet(Advisor advisor, Field f)`
`boolean` | `matchesSet(Advisor advisor, javassist.CtField f)`
`boolean` | `matchesSet(Advisor advisor, Field f)`
`void` | `setManager(AspectManager manager)`
`boolean` | `softMatch(Advisor advisor)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected String name

### expr

    protected String expr

### ast

    protected ASTStart ast

### stats

    protected PointcutStats stats

Constructor Detail

### PointcutExpression

    public PointcutExpression(String name,
                              String expr)
                       throws ParseException

Method Detail

### setManager

    public void setManager(AspectManager manager)

### getStats

    public PointcutStats getStats()

### getName

    public String getName()

  Specified by:
    `getName` in interface `Pointcut`

### getExpr

    public String getExpr()

  Specified by:
    `getExpr` in interface `Pointcut`

### softMatch

    public boolean softMatch(Advisor advisor)

  Specified by:
    `softMatch` in interface `Pointcut`

### matchesCall

    public boolean matchesCall(Advisor callingAdvisor,
                               javassist.expr.MethodCall methodCall)
                        throws javassist.NotFoundException

  Specified by:
    `matchesCall` in interface `Pointcut`
  Throws:
    `javassist.NotFoundException`

### matchesCall

    public boolean matchesCall(Advisor callingAdvisor,
                               javassist.expr.NewExpr methodCall)
                        throws javassist.NotFoundException

  Specified by:
    `matchesCall` in interface `Pointcut`
  Throws:
    `javassist.NotFoundException`

### matchesExecution

    public boolean matchesExecution(Advisor advisor,
                                    Method m)

  Specified by:
    `matchesExecution` in interface `Pointcut`

### matchesExecution

    public boolean matchesExecution(Advisor advisor,
                                    Method m,
                                    boolean matchOnAdvisor)

  Specified by:
    `matchesExecution` in interface `Pointcut`

### matchesExecution

    public boolean matchesExecution(Advisor advisor,
                                    Constructor c)

  Specified by:
    `matchesExecution` in interface `Pointcut`

### matchesConstruction

    public boolean matchesConstruction(Advisor advisor,
                                       Constructor c)

  Specified by:
    `matchesConstruction` in interface `Pointcut`

### matchesGet

    public boolean matchesGet(Advisor advisor,
                              Field f)

  Specified by:
    `matchesGet` in interface `Pointcut`

### matchesSet

    public boolean matchesSet(Advisor advisor,
                              Field f)

  Specified by:
    `matchesSet` in interface `Pointcut`

### matchesExecution

    public boolean matchesExecution(Advisor advisor,
                                    javassist.CtMethod m)
                             throws javassist.NotFoundException

  Specified by:
    `matchesExecution` in interface `Pointcut`
  Throws:
    `javassist.NotFoundException`

### matchesExecution

    public boolean matchesExecution(Advisor advisor,
                                    javassist.CtConstructor c)
                             throws javassist.NotFoundException

  Specified by:
    `matchesExecution` in interface `Pointcut`
  Throws:
    `javassist.NotFoundException`

### matchesConstruction

    public boolean matchesConstruction(Advisor advisor,
                                       javassist.CtConstructor c)
                                throws javassist.NotFoundException

  Specified by:
    `matchesConstruction` in interface `Pointcut`
  Throws:
    `javassist.NotFoundException`

### matchesGet

    public boolean matchesGet(Advisor advisor,
                              javassist.CtField f)
                       throws javassist.NotFoundException

  Specified by:
    `matchesGet` in interface `Pointcut`
  Throws:
    `javassist.NotFoundException`

### matchesSet

    public boolean matchesSet(Advisor advisor,
                              javassist.CtField f)
                       throws javassist.NotFoundException

  Specified by:
    `matchesSet` in interface `Pointcut`
  Throws:
    `javassist.NotFoundException`

### matchesCall

    public boolean matchesCall(Advisor advisor,
                               AccessibleObject within,
                               Class calledClass,
                               Method calledMethod)

  Specified by:
    `matchesCall` in interface `Pointcut`

### matchesCall

    public boolean matchesCall(Advisor advisor,
                               AccessibleObject within,
                               Class calledClass,
                               Constructor calledCon)

  Specified by:
    `matchesCall` in interface `Pointcut`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.